import os
import pandas as pd
import numpy as np
from sklearn.metrics import f1_score

DATA_PATH = "./test.csv"

## for TA's test
## you need to modify the class name to your student id.
## you also need to implement the predict function, which reads the .csv file,
## calls your trained model and returns predict results as an ndarray
class PB18000000():
    def predict(self, data_dir): 
        # a dummy system
        data = pd.read_csv(data_dir) 
        # The column "CommnetsStars" is unavailable in TA's test
        length = len(data["CommentsTitle"].values)
        pred = np.random.randint(1, 6, size=length)
        return pred


## for local validation
if __name__ == '__main__':
    data = pd.read_csv(DATA_PATH) 
    cols = data.columns
    true = data["CommentsStars"].values
    pred = data["CommentsStars"].values
    pred = np.random.permutation(pred)
    labels = np.unique(true)
    macro_f1 = f1_score(y_true=true, y_pred=pred, labels=labels, average="macro")
    print(macro_f1)